Google Cloud
probe Monitoring

# run_mql_query

Execute a MQL query

Run it now
View details

Type | probe
Module | chaosgcp.monitoring.probes
Name | run_mql_query
Return | list

Usage

JSON

    {
      "name": "run-mql-query",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosgcp.monitoring.probes",
        "func": "run_mql_query",
        "arguments": {
          "project": "",
          "mql": ""
        }
      }
    }

YAML

    name: run-mql-query
    provider:
      arguments:
        mql: ''
        project: ''
      func: run_mql_query
      module: chaosgcp.monitoring.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
project | string |  | Yes | Project Name | The project name or identifier
mql | string |  |  | Query | The MQL query to execute

Signature

    def run_mql_query(
            project: str,
            mql: str,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> List[Dict[str, Any]]:
        pass

## Related starters

- Google Cloud
  probe Monitoring

  ## `get_metrics`

  Fetch metrics from the Cloud Monitoring service
- Google Cloud
  probe Monitoring

  ## `get_slo_health`

  Answers the question, “During a given alignment period, what was the ratio of good requests to total requests?”
- Google Cloud
  probe Monitoring

  ## `get_slo_health`

  Answers the question, “During a given alignment period, what was the ratio of good requests to total requests?”